Bug 851269 - kernel-debug: enable CONFIG_JBD_DEBUG
kernel-debug: enable CONFIG_JBD_DEBUG
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
All Linux
low Severity low
: rc
: ---
Assigned To: Eric Sandeen
Eryu Guan
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 11:52 EDT by Thorsten Schlichting
Modified: 2013-11-21 08:29 EST (History)
7 users (show)

See Also:
Fixed In Version: kernel-2.6.32-395.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 08:29:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Schlichting 2012-08-23 11:52:19 EDT
The kernel-debug package does not contain debug code for ext3 journal replay.

grep CONFIG_JBD_DEBUG /boot/config-2.6.32-279.5.1.el6.x86_64.debug
# CONFIG_JBD_DEBUG is not set

If this is a mistake, please include it in one of the future updates if it doesn't make too much difficulties.

It's great to have a kernel quick by hand with debug options enabled, compiling took me several hours.

From fs/jbd/Kconfig:

config JBD_DEBUG
        bool "JBD (ext3) debugging support"
        depends on JBD && DEBUG_FS
        help
          If you are using the ext3 journaled file system (or potentially any
          other file system/device using JBD), this option allows you to
          enable debugging output while the system is running, in order to
          help track down any problems you are having.  By default the
          debugging output will be turned off.

          If you select Y here, then you will be able to turn on debugging
          with "echo N > /sys/kernel/debug/jbd/jbd-debug", where N is a
          number between 1 and 5, the higher the number, the more debugging
          output is generated.  To turn debugging off again, do
          "echo 0 > /sys/kernel/debug/jbd/jbd-debug".


BTW: CONFIG_JBD2_DEBUG (for ext4) is also not set....
Comment 2 Ric Wheeler 2012-08-24 07:45:40 EDT
This is not a mistake, adding kernel DEBUG config options is not something we do for production kernels.

Thanks!
Comment 3 Thorsten Schlichting 2012-08-24 07:59:29 EDT
Sorry, you misunderstood. I did not ask for the production kernel package, I asked for the kernel-debug package. For example

kernel-debug-2.6.32-279.5.1.el6.x86_64.rpm 

From the package description:
...
This variant of the kernel has numerous debugging options enabled.
It should only be installed when trying to gather additional information
on kernel bugs, as some of these options impact performance noticably.
Comment 4 Eric Sandeen 2012-08-24 22:06:53 EDT
Thorsten, we don't turn on every debug option even in kernel-debug.

Can you describe how this option was useful to you?

ISTR this generates quite a bit of system log traffic, that may be one reason we left it off.
Comment 5 Eric Sandeen 2012-08-25 13:45:03 EDT
I'm guessing this is related to bug # 850803 / case # 00676179 ?
Comment 6 Thorsten Schlichting 2012-08-27 04:50:22 EDT
Hi Eric,

they didn't tell me the BZ number and I do not have access to 850803, but yes, it's related to case # 00676179.

AFAIR there were no extra log messages until enabled by /sys/kernel/debug/jbd/jbd-debug. Shall I check this?
Comment 7 Eric Sandeen 2012-08-27 14:08:05 EDT
Sorry, you are right - jbd_debug doesn't do anything by default unless /sys/kernel/debug/jbd/jbd-debug is set to some threshold.

We'll have to consider this one a bit more I think.  Since CONFIG_JBD[2]_DEBUG isn't run too often, I want to be sure there is no possibility of regressions if it gets enabled.  I'll go ahead & put it back into ASSIGNED for now.
Comment 10 RHEL Product and Program Management 2013-06-19 18:19:34 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 15 Rafael Aquini 2013-08-06 14:23:43 EDT
Patch(es) available on kernel-2.6.32-395.el6
Comment 18 Eryu Guan 2013-10-15 00:09:50 EDT
Confirmed CONFIG_JBD_DEBUG and CONFIG_JBD2_DEBUG are "y" on kernel-2.6.32-422.el6, and regression tests on debug kernel show no issues

# egrep "JBD.?_DEBUG" /boot/config-2.6.32-422.el6.x86_64.debug
CONFIG_JBD_DEBUG=y
CONFIG_JBD2_DEBUG=y

Set to VERIFIED.
Comment 19 errata-xmlrpc 2013-11-21 08:29:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1645.html

Note You need to log in before you can comment on or make changes to this bug.